mediastreamer2 2.9.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
mscommon.h File Reference

mediastreamer2 mscommon.h include file More...

`#include <ortp/logging.h>`
`#include <ortp/port.h>`
`#include <ortp/str_utils.h>`
`#include <ortp/payloadtype.h>`
`#include <time.h>`
Include dependency graph for mscommon.h:
This graph shows which files directly or indirectly include this file:

## Macros
#define | ms_init() ms_base_init(), ms_voip_init(), ms_plugins_init()
#define | ms_exit() ms_voip_exit(), ms_base_exit()

## Functions
void | ms_base_init (void)
void | ms_voip_init (void)
void | ms_plugins_init (void)
int | ms_load_plugins (const char *directory)
void | ms_base_exit (void)
void | ms_voip_exit (void)
int | ms_get_payload_max_size ()
int | ms_discover_mtu (const char *destination_host)
void | ms_set_mtu (int mtu)
int | ms_get_mtu (void)
void | ms_set_cpu_count (unsigned int c)

## Detailed Description

mediastreamer2 mscommon.h include file

This file provide the API needed to initialize and reset the mediastreamer2 library.